/**
 * Created by IntelliJ IDEA.
 * User: m09baa
 * Date: 30.09.2009
 * Time: 19:00:57
 * To change this template use File | Settings | File Templates.
 */
  import java.io.*;
import java.util.*;
public class prog_c {

          public static void main (String [] args ) throws Exception {
            Scanner s = new Scanner (new File ("ratio.in"))  ;
       int a = s.nextInt();
       int b= s.nextInt ();

              double  c;
             if (b==0) {
              PrintWriter p = new PrintWriter (System.out) ;
              p.print ("idioti,na nol' delit' nel'zya!!!") ;
             p.close();
             } else {
                 c = a/b;

                    PrintWriter d =new PrintWriter (new File ("ratio.out"))  ;
          d.print (c);
              d.close();
              s.close();
             }
          }
}
